// -------------------------------------------------------------------------------------------------
// xsListaOpcionesTexto.hpp
// -------------------------------------------------------------------------------------------------

// Se incluye la librería
#include "xsEasyCpp.hpp"

#ifndef __xsListaOpcionesTexto_hpp__
#define __xsListaOpcionesTexto_hpp__

Clase xsListaOpcionesTexto : Publica xsObjeto
{
	Publica:

	    xsListaOpcionesTexto();

	    Vacio crear();

		Vacio agregar(xsCadena identificador, 
		              xsCadena texto);

		Vacio anteponer(xsCadena identificador, 
		                xsCadena texto);

		Vacio insertar(Entero   posicion, 
		               xsCadena identificador, 
					   xsCadena texto);

		Vacio agregar(xsCadena texto);

		Vacio anteponer(xsCadena texto);

		Vacio insertar(Entero   posicion, 
		               xsCadena texto);

		Vacio eliminar(Entero posicion);

		Vacio eliminarTodos();

		xsCadena obtenerTextoSeleccionado();

		Entero   obtenerIndiceSeleccionado();

		xsCadena obtenerIdeSeleccionado();


		Vacio enlazar(xsCadena           propiedadOpcionTexto,
                      gpointer           objetoEnlaza,
                      xsCadena           propiedadObjetoEnlaza,
                      xsBanderasDeEnlace flags);

		Vacio seleccionar(Entero posicion);		  

		Vacio limpiar();

		Entero longitud();
		
};

// Fin de la Definición del Archivo
#endif
